LibreOffice: XTopWindowListener Interface Reference

LibreOffice LibreOffice 26.8 SDK API Reference

Loading...
Searching...
No Matches
XTopWindowListener Interface Referencepublished

makes it possible to receive window events. More...

`import "XTopWindowListener.idl";`

Inheritance diagram for XTopWindowListener:

## Public Member Functions
void | windowOpened ([in] com::sun::star::lang::EventObject e)
| is invoked when a window has been opened.
void | windowClosing ([in] com::sun::star::lang::EventObject e)
| is invoked when a window is in the process of being closed.
void | windowClosed ([in] com::sun::star::lang::EventObject e)
| is invoked when a window has been closed.
void | windowMinimized ([in] com::sun::star::lang::EventObject e)
| is invoked when a window is iconified.
void | windowNormalized ([in] com::sun::star::lang::EventObject e)
| is invoked when a window is deiconified.
void | windowActivated ([in] com::sun::star::lang::EventObject e)
| is invoked when a window is activated.
void | windowDeactivated ([in] com::sun::star::lang::EventObject e)
| is invoked when a window is deactivated.
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

makes it possible to receive window events.

See also
  XActivateListener

## Member Function Documentation

## ◆ windowActivated()

void windowActivated | ( | [in] com::sun::star::lang::EventObject | e | ) |

is invoked when a window is activated.

## ◆ windowClosed()

void windowClosed | ( | [in] com::sun::star::lang::EventObject | e | ) |

is invoked when a window has been closed.

## ◆ windowClosing()

void windowClosing | ( | [in] com::sun::star::lang::EventObject | e | ) |

is invoked when a window is in the process of being closed.

The close operation can be overridden at this point.

## ◆ windowDeactivated()

void windowDeactivated | ( | [in] com::sun::star::lang::EventObject | e | ) |

is invoked when a window is deactivated.

## ◆ windowMinimized()

void windowMinimized | ( | [in] com::sun::star::lang::EventObject | e | ) |

is invoked when a window is iconified.

## ◆ windowNormalized()

void windowNormalized | ( | [in] com::sun::star::lang::EventObject | e | ) |

is invoked when a window is deiconified.

## ◆ windowOpened()

void windowOpened | ( | [in] com::sun::star::lang::EventObject | e | ) |

is invoked when a window has been opened.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XTopWindowListener.idl